gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.OtMathKernEntryT

Contents

- Exported types
- Methods
- Properties
  - kernValue
  - maxCorrectionHeight

Description

Data type to hold math kerning (cut-in) information for a glyph.

Since: 3.4.0

Synopsis

- newtype OtMathKernEntryT = OtMathKernEntryT (ManagedPtr OtMathKernEntryT)
- newZeroOtMathKernEntryT :: MonadIO m => m OtMathKernEntryT
- getOtMathKernEntryTKernValue :: MonadIO m => OtMathKernEntryT -> m Int32
- setOtMathKernEntryTKernValue :: MonadIO m => OtMathKernEntryT -> Int32 -> m ()
- getOtMathKernEntryTMaxCorrectionHeight :: MonadIO m => OtMathKernEntryT -> m Int32
- setOtMathKernEntryTMaxCorrectionHeight :: MonadIO m => OtMathKernEntryT -> Int32 -> m ()

# Exported types

newtype OtMathKernEntryT Source #

Memory-managed wrapper type.

Constructors

OtMathKernEntryT (ManagedPtr OtMathKernEntryT) |

#### Instances

Instances details

Eq OtMathKernEntryT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathKernEntryT Methods (==) :: OtMathKernEntryT -> OtMathKernEntryT -> Bool Source # (/=) :: OtMathKernEntryT -> OtMathKernEntryT -> Bool Source #
BoxedPtr OtMathKernEntryT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathKernEntryT Methods boxedPtrCopy :: OtMathKernEntryT -> IO OtMathKernEntryT Source # boxedPtrFree :: OtMathKernEntryT -> IO () Source #
CallocPtr OtMathKernEntryT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathKernEntryT Methods boxedPtrCalloc :: IO (Ptr OtMathKernEntryT) Source #
ManagedPtrNewtype OtMathKernEntryT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathKernEntryT Methods toManagedPtr :: OtMathKernEntryT -> ManagedPtr OtMathKernEntryT Source #
tag ~ 'AttrSet => Constructible OtMathKernEntryT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathKernEntryT Methods new :: MonadIO m => (ManagedPtr OtMathKernEntryT -> OtMathKernEntryT) -> [AttrOp OtMathKernEntryT tag] -> m OtMathKernEntryT Source #

newZeroOtMathKernEntryT :: MonadIO m => m OtMathKernEntryT Source #

Construct a `OtMathKernEntryT` struct initialized to zero.

# Methods

# Properties

## kernValue

The kern value of the entry

getOtMathKernEntryTKernValue :: MonadIO m => OtMathKernEntryT -> m Int32 Source #

Get the value of the “`kern_value`” field. When overloading is enabled, this is equivalent to

    get otMathKernEntryT #kernValue

setOtMathKernEntryTKernValue :: MonadIO m => OtMathKernEntryT -> Int32 -> m () Source #

Set the value of the “`kern_value`” field. When overloading is enabled, this is equivalent to

    set otMathKernEntryT [ #kernValue := value ]

## maxCorrectionHeight

The maximum height at which this entry should be used

getOtMathKernEntryTMaxCorrectionHeight :: MonadIO m => OtMathKernEntryT -> m Int32 Source #

Get the value of the “`max_correction_height`” field. When overloading is enabled, this is equivalent to

    get otMathKernEntryT #maxCorrectionHeight

setOtMathKernEntryTMaxCorrectionHeight :: MonadIO m => OtMathKernEntryT -> Int32 -> m () Source #

Set the value of the “`max_correction_height`” field. When overloading is enabled, this is equivalent to

    set otMathKernEntryT [ #maxCorrectionHeight := value ]